﻿.displayTemplate {
    width:100%;
    height: 100%;
    display: block;
}

    .displayTemplate .freeStyle {
        background-color: darkkhaki;
        /*background-image: url(../images/yogaSloth.jpg);*/
        width: 100%;
        height: 100%;
        background-position: center; /* Center the image */
        background-repeat: no-repeat; /* Do not repeat the image */
        background-size: cover; /* Resize the background image to cover the entire container */
    }


.displayTemplate .freeStyle .moveableChildText h1 {
    font-size: 1em;
    margin-top: 3px;
    margin-bottom: 3px;
}

    .displayTemplate .footer {
        background-color: orange;
        position: relative;
        left: 0;
        bottom: 0;
        height: 50px;
        width: 100%;
        overflow: hidden;
    }

.displayTemplate .oneColumn.Unspecified {
    background-color: gray;
    color: white;
    text-align: center;
    vertical-align:central;
}

.displayTemplate  .twoColumns {
        display: inline-grid;
        grid-template-columns: auto auto;
        background-color: white;
        width: 100%;
    }
    .twoColumns > div {
        border-color: black;
        padding: 3px;
    }

.displayTemplate .threeColumns {
    display: inline-grid;
    grid-template-columns: auto auto auto;
    background-color: white;
    width: 100%;
}
.displayTemplate .threeColumns > div {
    border-color: black;
    padding: 3px;
}

.displayTemplate .oneColumn {
    display: block;
    background-color: aqua;
    position: relative;
    padding: 3px;
    width: 100%;
}
.displayTemplate .oneColumn img{
    height: 100%;
    width: 100%;
}

.displayTemplate .twoColumns .oneColumn,
.displayTemplate .threeColumns .oneColumn {
    display: table-cell;
    height: 100%;
}

.displayTemplate .moveableChildText {
    /*height: auto;
    width: 30%;
    background-color: rgba(255, 255, 255, 0.8);
    margin-left: 35%;
    margin-top: 5%;
    margin-bottom: 5%;
    border-radius: 10px;*/
    font-size: large;
}

.displayTemplate .banner {
    display: inline-block;
    background-color: gold;
    text-align:center;
    width: 100%;
    height: 40px;
    font-size:larger;
}
